{ moduleFunctions }:
let
  inherit (moduleFunctions.devicesFunctions)
    ownerWriteOthersReadMask
    deimosIP
    deviceNames
    ;
in
{
  label = deviceNames.laptopLabel;
  name = deviceNames.laptop;
  sync = {
    address0 = deimosIP;
  };
  ip = {
    address0 = deimosIP;
  };
  wireguard = {
    ip0 = "10.100.0.3";
  };
  boot = {
    options = ownerWriteOthersReadMask;
  };
}
